-- This file is run to set any initial conditions that apply to every level.
-- It is run just before each level script is run.

-- register the auction camera stuff
C_RunScript("scripts\\default\\AuctionCamera.lua");
-- register sound playing functions
C_RunScript("scripts\\default\\sound.lua");

C_RunScript("scripts\\default\\general.lua");

C_RunScript("scripts\\default\\commoditysettings.lua");
C_RunScript("scripts\\default\\blocksettings.lua");
C_RunScript("scripts\\default\\businesssettings.lua");
C_RunScript("scripts\\default\\buildingsettings.lua");
C_RunScript("scripts\\default\\default.lua");

Calendar.SetFrequency(0.04);
-- set going a temporary timer 
--C_TriggerEvent("NightAdvance");

Tweaks.citybusinessesownable = true;
Tweaks.daysoff = true;
Tweaks.numyearsin24hours = 5;
Tweaks.blockleaselength = 120;

People.itchycounter = 2;
People.subwaythreshold = 5;


-- New tweak values 
Tweaks.railutilincomeEASY = 1.0;
Tweaks.railutilincomeMEDIUM = 1.0;
Tweaks.railutilincomeHARD = 1.0;
Tweaks.dailyfreightEASY = 800;
Tweaks.dailyfreightMEDIUM = 800;
Tweaks.dailyfreightHARD = 800;

--Below are the new values for a potential 2nd patch  KAT 29/11/01
--Tweaks.dailyfreightEASY = 800;
--Tweaks.dailyfreightMEDIUM = 200;
--Tweaks.dailyfreightHARD = 100;